Bug Hunting Session
Bug 125706 - Fields have noticeable impact on loading/saving performance
Summary: Fields have noticeable impact on loading/saving performance
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords: perf
Depends on:
Blocks: Fields
  Show dependency treegraph
 
Reported: 2019-06-05 11:34 UTC by Telesto
Modified: 2019-07-03 14:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (32.05 KB, application/vnd.oasis.opendocument.text)
2019-06-05 11:34 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2019-06-05 11:34:02 UTC
Description:
Fields have noticeable impact on loading/saving performance

Steps to Reproduce:
1. Open the attached file
2. Notice the time to open/save the 32 kb file

Actual Results:
15 seconds


Expected Results:
Lets say cut by half.. 7 seconds.. (


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: 93477d1a963e38e3319013e43835a8ffef200972
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-02_10:16:52
Locale: it-IT (nl_NL); UI-Language: en-US
Calc: threaded
Comment 1 Telesto 2019-06-05 11:34:22 UTC
Created attachment 151933 [details]
Example file
Comment 2 Dieter Praas 2019-06-20 11:45:19 UTC
My result: 13 sec

=> NEW

Version: 6.4.0.0.alpha0+ (x64)
Build ID: b170256fb6ebaf774b02b89835b19d9f3a1afb89
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-06-07_03:30:35
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded
Comment 3 Xisco Faulí 2019-06-27 07:37:32 UTC
Also reproduced on linux

Version: 6.4.0.0.alpha0+
Build ID: ea19b0c0230fcc730245ecd445c03164cb6a1d18
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

real	0m13,434s
user	0m12,017s
sys  	0m0,467s
Comment 4 Commit Notification 2019-06-28 10:48:25 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/47e04cf31c6165dd55dc20962ad9c72962b958bd%5E%21

tdf#125706 and tdf#125665 writer, speed up RDF

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-06-28 10:50:10 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1ec6de1cff6a5f2c15aa85c12c6e327282ca8703%5E%21

tdf#125706 Fields slow down down load, cache NativeNumberSupplierService

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-06-28 12:05:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b0b1dbfb1d6b28339c2cdd79b765ec3eb5ce5aaf%5E%21

tdf#125706 Fields slow down down load, part3

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-07-01 14:11:33 UTC
(In reply to Xisco Faulí from comment #3)
> Also reproduced on linux
> 
> Version: 6.4.0.0.alpha0+
> Build ID: ea19b0c0230fcc730245ecd445c03164cb6a1d18
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> real	0m13,434s
> user	0m12,017s
> sys  	0m0,467s

For some reason, my computer is much slower today. I've just tried with the same version and it takes

real	0m50,449s
user	0m49,371s
sys	0m1,333s

while in

Version: 6.4.0.0.alpha0+
Build ID: 9fbedb7929936a45967ae49bc15b985f95e2ebd3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

it takes

real	0m26,674s
user	0m25,029s
sys	0m1,186s

don't know why the measurement is so different between today and the other day...
@Telesto, could you please check it on your end ?
Comment 8 Commit Notification 2019-07-03 08:45:53 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/54481a2d6a6f9d415e0979a03c0c878195a10845%5E%21

Revert "tdf#125706 and tdf#125665 writer, speed up RDF"

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-07-03 08:46:10 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f2c513e686536dc308609c56fa9354d4d10b072c%5E%21

tdf#125706 and tdf#125665 writer, speed up RDF, take2

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2019-07-03 14:10:45 UTC
(In reply to Xisco Faulí from comment #7)
> while in
> 
> Version: 6.4.0.0.alpha0+
> Build ID: 9fbedb7929936a45967ae49bc15b985f95e2ebd3
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> it takes
> 
> real	0m26,674s
> user	0m25,029s
> sys	0m1,186s

it takes
real	0m27,522s
user	0m17,772s
sys	0m0,780s

in

Version: 6.4.0.0.alpha0+
Build ID: 3cdc1b35b9d86bcfa1277e3e94925ae7b18b8fde
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

after the revert and the second try